summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2018-02-24 04:14:43 +0100
committerThomas Deutschmann <whissi@gentoo.org>2018-02-24 04:21:11 +0100
commite22932561f96c4d1660bc67b312940f098dcf6ec (patch)
treeffa569853b79bf83c1466ada1b52a0086e4e079a /dev-python/pytest-runner
parentdev-python/pytest: Bump to v3.4.1 (diff)
downloadgentoo-e22932561f96c4d1660bc67b312940f098dcf6ec.tar.gz
gentoo-e22932561f96c4d1660bc67b312940f098dcf6ec.tar.bz2
gentoo-e22932561f96c4d1660bc67b312940f098dcf6ec.zip
dev-python/pytest-runner: Bump to v4.0
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-python/pytest-runner')
-rw-r--r--dev-python/pytest-runner/Manifest1
-rw-r--r--dev-python/pytest-runner/pytest-runner-4.0.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/pytest-runner/Manifest b/dev-python/pytest-runner/Manifest
index 38586bb2c0b..ead06770abd 100644
--- a/dev-python/pytest-runner/Manifest
+++ b/dev-python/pytest-runner/Manifest
@@ -1,2 +1,3 @@
DIST pytest-runner-2.11.1.tar.gz 9661 BLAKE2B 300b63de61ef36c299a95c60af469b071c27ae483f641c7cad594f7b6f582d9e1e076192f9fd5019850cf9227af183e9f80b4049719d074a180e72c25521bc14 SHA512 5249e0a368bab21bb034a9b0121edbcda635f559cc22ba79c87565dcbc070056bfed47a69c16f4733403f61ea5b73adfd1ccf945700116043cbf3940d37d4067
DIST pytest-runner-2.6.2.tar.gz 6379 BLAKE2B 4f676a4cd59309cdd0e6462c83718482622817781d302ed95a2b7cb9d92a0b0f38b411c1172ecce9003f5781cdb168338bce6f446b1c91069a2024fb75574bfc SHA512 6a993e8729d5e203986f2526d46e96b7ac19e65fc26493a55a98e858304ecde0c47576476864a0ee1817ea1a7b02cfda952fc03f79b84fff249021f140f3d00d
+DIST pytest-runner-4.0.tar.gz 11401 BLAKE2B 3be4527e68b8c1ae7e1bb5bad111367e459a07cf20de1f3b2d8ab993a7e016f9656618075bf515f576fef457aa86f99990f7dcc4c20a04166703bf9272c395c1 SHA512 a7f3defcc698f43b3b6ceec3f59dbd0e00c651167ddc76a9d1a093d722a013c9ffd2bad3438e49170688d503166cb6d8bf55bbaf7bc6f9e6d80eff049c202b08
diff --git a/dev-python/pytest-runner/pytest-runner-4.0.ebuild b/dev-python/pytest-runner/pytest-runner-4.0.ebuild
new file mode 100644
index 00000000000..cff2bd301d4
--- /dev/null
+++ b/dev-python/pytest-runner/pytest-runner-4.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Adds support for tests during installation of setup.py files"
+HOMEPAGE="https://pypi.python.org/pypi/pytest-runner https://github.com/pytest-dev/pytest-runner"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd"
+SLOT="0"
+IUSE="doc test"
+
+RDEPEND="dev-python/pytest[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/rst-linker[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? ( ${RDEPEND} )
+"
+
+# Tests require network access to download packages
+RESTRICT="test"
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ esetup.py pytest || die
+}